Gets the Global Frontend Billing Bundle Settings for a project.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/global/globalFrontendSettings The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
|
Request body
The request body must be empty.
Response body
Represents the Global Frontend Bundle settings for a single project.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "id": string, "bundleType": enum, "name": string, "etag": string, "creationTimestamp": string, "selfLink": string, "description": string } |
| Fields | |
|---|---|
id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
bundleType |
Customer-settable bundle type. |
name |
Output only. OUTPUT_ONLY fields Output only. Name of the resource. Must be 1-63 characters long and match the regular expression |
etag |
Output only. For optimistic locking |
creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
selfLink |
Output only. Server-defined URL for the resource. |
description |
Output only. An optional description of this resource. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.